Bionic: Intermittently sent to Emergency Mode on boot with unhandled kernel NULL pointer dereference at 0000000000000980

Bug #1768292 reported by John W. Galvin on 2018-05-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Bionic
High
Unassigned

Bug Description

===SRU Justification===
[Impact]
When TBT ICM firmware is not running properly, it may crash the kernel.

[Fix]
Protect against cases when ICM is not set.

[Test]
User confirmed the additional patch works.

[Regression Potential]
Low. It adds a simple logic to avoid NULL dereference.

===Original Bug Report===

Ubuntu Desktop 18.04 release version, running on a Lenovo T570 laptop. Sometimes, at boot, the system goes into Emergency Mode. In looking at journalctl -xb output, the following messages are logged:

May 01 10:05:04 galvin-T570 kernel: hidraw: raw HID events driver (C) Jiri Kosina
May 01 10:05:04 galvin-T570 kernel: acpi PNP0C14:02: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A0C9062910 (first instance was on
May 01 10:05:04 galvin-T570 kernel: acpi PNP0C14:03: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A0C9062910 (first instance was on
May 01 10:05:04 galvin-T570 kernel: pps_core: LinuxPPS API ver. 1 registered
May 01 10:05:04 galvin-T570 kernel: pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <email address hidden>
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: NHI initialized, starting thunderbolt
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: allocating TX ring 0 of size 10
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: allocating RX ring 0 of size 10
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: control channel created
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: control channel starting...
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: starting TX ring 0
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: enabling interrupt at register 0x38200 bit 0 (0x0 -> 0x1)
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: starting RX ring 0
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: enabling interrupt at register 0x38200 bit 12 (0x1 -> 0x1001)
May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: starting ICM firmware
May 01 10:05:04 galvin-T570 kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000980
May 01 10:05:04 galvin-T570 kernel: IP: pci_write_config_dword+0x5/0x30
May 01 10:05:04 galvin-T570 kernel: PGD 0 P4D 0
May 01 10:05:04 galvin-T570 kernel: Oops: 0000 [#1] SMP PTI
May 01 10:05:04 galvin-T570 kernel: Modules linked in: pps_core nvme_core thunderbolt(+) wmi i2c_hid hid video
May 01 10:05:04 galvin-T570 kernel: CPU: 3 PID: 173 Comm: systemd-udevd Not tainted 4.15.0-20-generic #21-Ubuntu
May 01 10:05:04 galvin-T570 kernel: Hardware name: LENOVO 20H9000NUS/20H9000NUS, BIOS N1VET32W (1.22 ) 06/02/2017
May 01 10:05:04 galvin-T570 kernel: RIP: 0010:pci_write_config_dword+0x5/0x30
May 01 10:05:04 galvin-T570 kernel: RSP: 0018:ffffa27f840f39e0 EFLAGS: 00010296
May 01 10:05:04 galvin-T570 kernel: RAX: 0000000040000126 RBX: 0000000000000000 RCX: 0000000000000050
May 01 10:05:04 galvin-T570 kernel: RDX: 0000000000000200 RSI: 0000000000000034 RDI: 0000000000000000
May 01 10:05:04 galvin-T570 kernel: RBP: ffffa27f840f3a18 R08: 0000000000000200 R09: 0000000000000320
May 01 10:05:04 galvin-T570 kernel: R10: 0000000000002000 R11: 0000000000000000 R12: 0000000000000000
May 01 10:05:04 galvin-T570 kernel: R13: 0000000000000050 R14: ffff91b2efc5bb30 R15: 0000000000000000
May 01 10:05:04 galvin-T570 kernel: FS: 00007f4a6cf70680(0000) GS:ffff91b31f580000(0000) knlGS:0000000000000000
May 01 10:05:04 galvin-T570 kernel: CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 01 10:05:04 galvin-T570 kernel: CR2: 0000000000000980 CR3: 000000082f944005 CR4: 00000000003606e0
May 01 10:05:04 galvin-T570 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
May 01 10:05:04 galvin-T570 kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
May 01 10:05:04 galvin-T570 kernel: Call Trace:
May 01 10:05:04 galvin-T570 kernel: ? pcie2cio_write+0x40/0x80 [thunderbolt]
May 01 10:05:04 galvin-T570 kernel: icm_driver_ready+0x1ad/0x2b0 [thunderbolt]
May 01 10:05:04 galvin-T570 kernel: ? tb_ctl_start+0x50/0x90 [thunderbolt]
May 01 10:05:04 galvin-T570 kernel: tb_domain_add+0x79/0x100 [thunderbolt]
May 01 10:05:04 galvin-T570 kernel: nhi_probe+0x186/0x300 [thunderbolt]
May 01 10:05:04 galvin-T570 kernel: local_pci_probe+0x47/0xa0
May 01 10:05:04 galvin-T570 kernel: pci_device_probe+0x145/0x1b0
May 01 10:05:04 galvin-T570 kernel: driver_probe_device+0x31e/0x490
May 01 10:05:04 galvin-T570 kernel: __driver_attach+0xa7/0xf0
May 01 10:05:04 galvin-T570 kernel: ? driver_probe_device+0x490/0x490
May 01 10:05:04 galvin-T570 kernel: bus_for_each_dev+0x70/0xc0
May 01 10:05:04 galvin-T570 kernel: driver_attach+0x1e/0x20
May 01 10:05:04 galvin-T570 kernel: bus_add_driver+0x1c7/0x270
May 01 10:05:04 galvin-T570 kernel: ? 0xffffffffc028c000
May 01 10:05:04 galvin-T570 kernel: driver_register+0x60/0xe0
May 01 10:05:04 galvin-T570 kernel: ? 0xffffffffc028c000
May 01 10:05:04 galvin-T570 kernel: __pci_register_driver+0x5a/0x60
May 01 10:05:04 galvin-T570 kernel: nhi_init+0x2d/0x1000 [thunderbolt]
May 01 10:05:04 galvin-T570 kernel: do_one_initcall+0x52/0x19f
May 01 10:05:04 galvin-T570 kernel: ? _cond_resched+0x19/0x40
May 01 10:05:04 galvin-T570 kernel: ? kmem_cache_alloc_trace+0xa6/0x1b0
May 01 10:05:04 galvin-T570 kernel: ? do_init_module+0x27/0x209
May 01 10:05:04 galvin-T570 kernel: do_init_module+0x5f/0x209
May 01 10:05:04 galvin-T570 kernel: load_module+0x191e/0x1f10
May 01 10:05:04 galvin-T570 kernel: ? ima_post_read_file+0x96/0xa0
May 01 10:05:04 galvin-T570 kernel: SYSC_finit_module+0xfc/0x120
May 01 10:05:04 galvin-T570 kernel: ? SYSC_finit_module+0xfc/0x120
May 01 10:05:04 galvin-T570 kernel: SyS_finit_module+0xe/0x10
May 01 10:05:04 galvin-T570 kernel: do_syscall_64+0x73/0x130
May 01 10:05:04 galvin-T570 kernel: entry_SYSCALL_64_after_hwframe+0x3d/0xa2
May 01 10:05:04 galvin-T570 kernel: RIP: 0033:0x7f4a6ca7a839
May 01 10:05:04 galvin-T570 kernel: RSP: 002b:00007ffdf06cde08 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
May 01 10:05:04 galvin-T570 kernel: RAX: ffffffffffffffda RBX: 00005587e4a21e40 RCX: 00007f4a6ca7a839
May 01 10:05:04 galvin-T570 kernel: RDX: 0000000000000000 RSI: 00007f4a6c7590e5 RDI: 0000000000000005
May 01 10:05:04 galvin-T570 kernel: RBP: 00007f4a6c7590e5 R08: 0000000000000000 R09: 00007ffdf06cdf20
May 01 10:05:04 galvin-T570 kernel: R10: 0000000000000005 R11: 0000000000000246 R12: 0000000000000000
May 01 10:05:04 galvin-T570 kernel: R13: 00005587e4a18ef0 R14: 0000000000020000 R15: 00005587e4a21e40
May 01 10:05:04 galvin-T570 kernel: Code: 87 c0 00 00 00 b9 04 00 00 00 48 89 e5 48 8b 40 20 e8 00 f8 71 00 5d c3 b8 87 00 00 00 c3
May 01 10:05:04 galvin-T570 kernel: RIP: pci_write_config_dword+0x5/0x30 RSP: ffffa27f840f39e0
May 01 10:05:04 galvin-T570 kernel: CR2: 0000000000000980
May 01 10:05:04 galvin-T570 kernel: ---[ end trace b696dc351adf7f0f ]---
---
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: galvin 1804 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
HibernationDevice: RESUME=UUID=675220ce-3afc-45f2-9a96-aa3fb36a8614
InstallationDate: Installed on 2018-04-28 (4 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: LENOVO 20H9000NUS
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-20-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-20-generic N/A
 linux-backports-modules-4.15.0-20-generic N/A
 linux-firmware 1.173
Tags: bionic
Uname: Linux 4.15.0-20-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo wireshark
_MarkForUpload: True
dmi.bios.date: 06/02/2017
dmi.bios.vendor: LENOVO
dmi.bios.version: N1VET32W (1.22 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20H9000NUS
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN1VET32W(1.22):bd06/02/2017:svnLENOVO:pn20H9000NUS:pvrThinkPadT570:rvnLENOVO:rn20H9000NUS:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T570
dmi.product.name: 20H9000NUS
dmi.product.version: ThinkPad T570
dmi.sys.vendor: LENOVO

CVE References

summary: - Intermittently sent to Emergency Mode on boot with unhandled kernel NULL
- pointer dereference at 0000000000000980
+ Bionic: Intermittently sent to Emergency Mode on boot with unhandled
+ kernel NULL pointer dereference at 0000000000000980

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1768292

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc3

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
Download full text (8.4 KiB)

This was after a fresh install of 18.04 desktop last Friday. I don’t believe any updates have applied since then. I will look at testing the latest upstream kernel. I am not completely sure, but I think this may only happen when the t570 is on battery.

--Galvin

> On May 1, 2018, at 12:50 PM, Joseph Salisbury <email address hidden> wrote:
>
> Did this issue start happening after an update/upgrade? Was there a
> prior kernel version where you were not having this particular problem?
>
> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v4.16 kernel[0].
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc3
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => High
>
> ** Tags added: kernel-da-key
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768292
>
> Title:
> Bionic: Intermittently sent to Emergency Mode on boot with unhandled
> kernel NULL pointer dereference at 0000000000000980
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Ubuntu Desktop 18.04 release version, running on a Lenovo T570 laptop.
> Sometimes, at boot, the system goes into Emergency Mode. In looking
> at journalctl -xb output, the following messages are logged:
>
> May 01 10:05:04 galvin-T570 kernel: hidraw: raw HID events driver (C) Jiri Kosina
> May 01 10:05:04 galvin-T570 kernel: acpi PNP0C14:02: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A0C9062910 (first instance was on
> May 01 10:05:04 galvin-T570 kernel: acpi PNP0C14:03: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A0C9062910 (first instance was on
> May 01 10:05:04 galvin-T570 kernel: pps_core: LinuxPPS API ver. 1 registered
> May 01 10:05:04 galvin-T570 kernel: pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <email address hidden>
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: NHI initialized, starting thunderbolt
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: allocating TX ring 0 of size 10
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: allocating RX ring 0 of size 10
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: control channel created
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: control channel starting...
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: starting TX ring 0
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: enabling interrupt at register 0x38200 bit 0 (0x0 -> 0x1)
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: starting RX ring 0
> May 01 10:05:04 galvin-T570 kernel: thunderbolt 0000:09:00.0: enabl...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :
John W. Galvin (live2fly) wrote :

I tested with linux-image-unsigned-4.16.6-041606-generic_4.16.6-041606.201804300418_amd64.deb and was unable to duplicate the issue. As a result, per jsalisbury's request, I will tag this issue 'kernel-fixed-upstream'.

--Galvin

tags: added: kernel-fixed-upstream
John W. Galvin (live2fly) wrote :

kaihengfeng, I will download and test with your kernel today.

--Galvin

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

John W. Galvin (live2fly) wrote :

kaihengfeng, I tested with linux-image-unsigned-4.15.0-21-generic_4.15.0-21.22~lp1768292_amd64.deb and was unable to duplicate the issue.

description: updated
tags: added: confirmed
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux (Ubuntu Bionic):
importance: Undecided → High
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
John W. Galvin (live2fly) wrote :

It would be helpful if you could tell me exactly which packages I need to install to test this.

After enabling bionic-proposed, "apt-get update -s" yields:
linux-headers-4.15.0-21
linux-headers-4.15.0-21-generic
linux-image-unsigned-4.15.0-21-generic
linux-modules-4.15.0-21-generic
linux-modules-extra-4.15.0-21-generic

Do you want all of these or a subset?

John W. Galvin (live2fly) wrote :

Just for reference, I already have the following installed from previous testing, and they did fix the issue.

ii linux-headers-4.15.0-21 4.15.0-21.22~lp1768292 all Header files related to Linux kernel version 4.15.0
ii linux-headers-4.15.0-21-generic 4.15.0-21.22~lp1768292 amd64 Linux kernel headers for version 4.15.0 on 64 bit x86 SMP
ii linux-image-unsigned-4.15.0-21-generic 4.15.0-21.22~lp1768292 amd64 Linux kernel image for version 4.15.0 on 64 bit x86 SMP
ii linux-modules-4.15.0-21-generic 4.15.0-21.22~lp1768292 amd64 Linux kernel extra modules for version 4.15.0 on 64 bit x86 SMP
ii linux-modules-extra-4.15.0-21-generic 4.15.0-21.22~lp1768292 amd64 Linux kernel extra modules for version 4.15.0 on 64 bit x86 SMP

John W. Galvin (live2fly) wrote :

Followed the instructions in https://wiki.ubuntu.com/Testing/EnableProposed to enable installing from the proposed repository. Used aptitude -t bionic-proposed to upgrade the linux-headers-generic, linux-generic, linux-image-generic, and linux-signed-generic packages. This resulted in the following being installed (per dpkg -l):

ii linux-generic 4.15.0.23.24 amd64 Complete Generic Linux kernel and headers
ii linux-headers-4.15.0-23 4.15.0-23.25 all Header files related to Linux kernel version 4.15.0
ii linux-headers-4.15.0-23-generic 4.15.0-23.25 amd64 Linux kernel headers for version 4.15.0 on 64 bit x86 SMP
ii linux-headers-generic 4.15.0.23.24 amd64 Generic Linux kernel headers
ii linux-image-4.15.0-23-generic 4.15.0-23.25 amd64 Signed kernel image generic
ii linux-image-generic 4.15.0.23.24 amd64 Generic Linux kernel image
ii linux-modules-4.15.0-23-generic 4.15.0-23.25 amd64 Linux kernel extra modules for version 4.15.0 on 64 bit x86 SMP
ii linux-modules-extra-4.15.0-23-generic 4.15.0-23.25 amd64 Linux kernel extra modules for version 4.15.0 on 64 bit x86 SMP
ii linux-signed-generic 4.15.0.23.24 amd64 Complete Signed Generic Linux kernel and headers (dummy transitional package)

I shut down my laptop and powered on via battery (issue only arises on battery power). I selected the 4.15.0.23 kernel via GRUB and booted. No issues observed. Tested multiple times without issue. I believe this kernel fixes the issue.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (11.4 KiB)

This bug was fixed in the package linux - 4.15.0-23.25

---------------
linux (4.15.0-23.25) bionic; urgency=medium

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)

  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel

  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity

  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xxx: Serialize session deletion by using work_lock
    - scsi: qla2xxx: Serialize session free in qlt_free_session_done
    - scsi: qla2xxx: Don't call dma_free_coherent with IRQ disabled.
    - scsi: qla2xxx: Fix warning in qla2x00_async_iocb_timeout()
    - scsi: qla2xxx: Prevent relogin trigger from sending too many commands
    - scsi: qla2xxx: Fix double free bug after firmware timeout
    - scsi: qla2xxx: Fixup locking for session deletion

  * Several hisi_sas bug fixes (LP: #1768974)
    - scsi: hisi_sas: dt-bindings: add an property of signal attenuation
    - scsi: hisi_sas: support the property of signal attenuation for v2 hw
    - scsi: hisi_sas: fix the issue of link rate inconsistency
    - scsi: hisi_sas: fix the issue of setting linkrate register
    - scsi: hisi_sas: increase timer expire of internal abort task
    - scsi: hisi_sas: remove unused variable hisi_sas_devices.running_req
    - scsi: hisi_sas: fix return value of hisi_sas_task_prep()
    - scsi: hisi_sas: Code cleanup and minor bug fixes

  * [bionic] machine stuck and bonding not working well when nvmet_rdma module
    is loaded (LP: #1764982)
    - nvmet-rdma: Don't flush system_wq by default during remove_one
    - nvme-rdma: Don't flush delete_wq by default during remove_one

  * Warnings/hang during error handling of SATA disks on SAS controller
    (LP: #1768971)
    - scsi: libsas: defer ata device eh commands to libata

  * Hotplugging a SATA disk into a SAS controller may cause crash (LP: #1768948)
    - ata: do not schedule hot plug if it is a sas host

  * ISST-LTE:pKVM:Ubuntu1804: rcu_sched self-detected stall on CPU follow by CPU
    ATTEMPT TO RE-ENTER FIRMWARE! (LP: #1767927)
    - powerpc/powernv: Handle unknown OPAL errors in opal_nvram_write()
    - powerpc/64s: return more carefully from sreset NMI
    - powerpc/64s: sreset panic if there is no debugger or crash dump handlers

  * fsnotify: Fix fsnotify_mark_connector race (LP: #1765564)
    - fsnotify: Fix fsnotify_mark_connector race

  * Hang on network interface removal in Xen virtual machine (LP: #1771620)
    - xen-netfront: Fix hang on device removal

  * HiSilicon HNS NIC names are truncated in /proc/interrupts (LP: #1765977)
    - net: hns: Avoid action name truncation

  * Ubuntu 18.04 kernel crashed while in degraded mode (LP: #1770849)
    - SAUCE: powerpc/perf: Fix memory allocation for...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers